EsriGraphicFactory.Header (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.shape
Class EsriGraphicFactory.Header

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.EsriGraphicFactory.Header

Enclosing class:
  EsriGraphicFactory

    public static class EsriGraphicFactory.Header

extends java.lang.Object

Field Summary
`int` | `fileCode`
`int` | `fileLength`
`double` | `mMax`
`double` | `mMin`
`int` | `shapeType`
`int` | `version`
`double` | `xMax`
`double` | `xMin`
`double` | `yMax`
`double` | `yMin`
`double` | `zMax`
`double` | `zMin`

Constructor Summary
`EsriGraphicFactory.Header(BinaryFile shp)`
`EsriGraphicFactory.Header(BinaryFile shp, GeoCoordTransformation dataTransformation)`
`EsriGraphicFactory.Header(LittleEndianInputStream iStream)`
`EsriGraphicFactory.Header(LittleEndianInputStream iStream, GeoCoordTransformation dataTransformation)`

Method Summary
`DataBounds` | `getDataBounds()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fileCode

    public int fileCode

### fileLength

    public int fileLength

### version

    public int version

### shapeType

    public int shapeType

### xMin

    public double xMin

### yMin

    public double yMin

### xMax

    public double xMax

### yMax

    public double yMax

### zMin

    public double zMin

### zMax

    public double zMax

### mMin

    public double mMin

### mMax

    public double mMax

Constructor Detail

### EsriGraphicFactory.Header

    public EsriGraphicFactory.Header(BinaryFile shp)
                              throws java.io.IOException,
                                     FormatException

Throws:
  `java.io.IOException`
  `FormatException`

### EsriGraphicFactory.Header

    public EsriGraphicFactory.Header(BinaryFile shp,
                                     GeoCoordTransformation dataTransformation)
                              throws java.io.IOException,
                                     FormatException

Throws:
  `java.io.IOException`
  `FormatException`

### EsriGraphicFactory.Header

    public EsriGraphicFactory.Header(LittleEndianInputStream iStream)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

### EsriGraphicFactory.Header

    public EsriGraphicFactory.Header(LittleEndianInputStream iStream,
                                     GeoCoordTransformation dataTransformation)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getDataBounds

    public DataBounds getDataBounds()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details